/* -*- mode: c; c-basic-offset: 4; -*- */
/* vi:set cindent ts=8 sts=4 sw=4: */
/*
 * This file must be included in all .c files, between the <>-delimited
 * #include statements and the ""-delimited.
 */

#ifndef MAIN_H
#define MAIN_H

#include <ncurses.h>		/* bool */

#define PROGNAME "Relief"
#define VERSION "v0.92"
#define GLOBAL_RC_FILE "/usr/local/etc/reliefrc"
#define RC_FILENAME ".reliefrc"	/* resides in HomeDir */

/* a trick I stole from Mutt, which again came from ELM */
#ifdef MAIN_C
#define WHERE
#else
#define WHERE extern
#endif				/* MAIN_C */

/* these will be initialized to 0 or NULL since they have static
   storage duration */

/* initialized at start-up, if not the root directory, its last character will
   not be a slash */
WHERE char *HomeDir;
/* initialized at start-up, will be set to ~/RC_FILENAME */
WHERE char *PersonalRc;
/* if the allow_browse parameter to enter_string() is TRUE, this variable
   will be set to TRUE you hit CMD_BROWSE, else FALSE */
WHERE bool Browse;

#endif				/* MAIN_H */
